/* Initialization */
#include "WaterTank_Control_model.h"
#include "WaterTank_Control_11mix.h"
#include "WaterTank_Control_12jac.h"
#if defined(__cplusplus)
extern "C" {
#endif

void WaterTank_Control_functionInitialEquations_0(DATA *data, threadData_t *threadData);

/*
equation index: 1
type: SIMPLE_ASSIGN
$PRE.$outputAlias_valve = $START.$outputAlias_valve
*/
void WaterTank_Control_eqFunction_1(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,1};
  (data->simulationInfo->realVarsPre[2] /* $outputAlias_valve DISCRETE */) = (data->modelData->realVarsData[2] /* $outputAlias_valve DISCRETE */).attribute .start;
  TRACE_POP
}

/*
equation index: 2
type: SIMPLE_ASSIGN
$outputAlias_valve = $PRE.$outputAlias_valve
*/
void WaterTank_Control_eqFunction_2(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,2};
  (data->localData[0]->realVars[2] /* $outputAlias_valve DISCRETE */) = (data->simulationInfo->realVarsPre[2] /* $outputAlias_valve DISCRETE */);
  TRACE_POP
}
extern void WaterTank_Control_eqFunction_10(DATA *data, threadData_t *threadData);

extern void WaterTank_Control_eqFunction_6(DATA *data, threadData_t *threadData);

extern void WaterTank_Control_eqFunction_7(DATA *data, threadData_t *threadData);

OMC_DISABLE_OPT
void WaterTank_Control_functionInitialEquations_0(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  WaterTank_Control_eqFunction_1(data, threadData);
  WaterTank_Control_eqFunction_2(data, threadData);
  WaterTank_Control_eqFunction_10(data, threadData);
  WaterTank_Control_eqFunction_6(data, threadData);
  WaterTank_Control_eqFunction_7(data, threadData);
  TRACE_POP
}

int WaterTank_Control_functionInitialEquations(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  data->simulationInfo->discreteCall = 1;
  WaterTank_Control_functionInitialEquations_0(data, threadData);
  data->simulationInfo->discreteCall = 0;
  
  TRACE_POP
  return 0;
}

/* No WaterTank_Control_functionInitialEquations_lambda0 function */

int WaterTank_Control_functionRemovedInitialEquations(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int *equationIndexes = NULL;
  double res = 0.0;

  
  TRACE_POP
  return 0;
}


#if defined(__cplusplus)
}
#endif

