/* Algebraic */
#include "WaterTank_Control_model.h"

#ifdef __cplusplus
extern "C" {
#endif


/* forwarded equations */
extern void WaterTank_Control_eqFunction_6(DATA* data, threadData_t *threadData);
extern void WaterTank_Control_eqFunction_7(DATA* data, threadData_t *threadData);
extern void WaterTank_Control_eqFunction_10(DATA* data, threadData_t *threadData);

static void functionAlg_system0(DATA *data, threadData_t *threadData)
{
  {
    WaterTank_Control_eqFunction_6(data, threadData);
    threadData->lastEquationSolved = 6;
  }
  {
    WaterTank_Control_eqFunction_7(data, threadData);
    threadData->lastEquationSolved = 7;
  }
  {
    WaterTank_Control_eqFunction_10(data, threadData);
    threadData->lastEquationSolved = 10;
  }
}
/* for continuous time variables */
int WaterTank_Control_functionAlgebraics(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

#if !defined(OMC_MINIMAL_RUNTIME)
  if (measure_time_flag) rt_tick(SIM_TIMER_ALGEBRAICS);
#endif
  data->simulationInfo->callStatistics.functionAlgebraics++;

  WaterTank_Control_function_savePreSynchronous(data, threadData);
  
  functionAlg_system0(data, threadData);

#if !defined(OMC_MINIMAL_RUNTIME)
  if (measure_time_flag) rt_accumulate(SIM_TIMER_ALGEBRAICS);
#endif

  TRACE_POP
  return 0;
}

#ifdef __cplusplus
}
#endif
